We recommend checking your system settings before you start the test.

System Requirements:

PC-based test takers: Windows® 2000, XP, 2003 Server, Vista, 7, 8, 10 or Linux
Macintosh-based test takers: Mac OS® X 10.3.9(Panther®) or newer
v.10   v.3.6   v.5   v.5   v.5
Please make sure you have JavaScript enabled in your browser.

If you require support email: support@rightpeople.zendesk.com